On Sun, Feb 17, 2008 at 10:08:08PM +0000, Matthew Rosewarne wrote:
> On Saturday 16 February 2008, Pierre Habouzit wrote:
> > > Ok, so it's actually a debate whether to readd missing symbols to
> > > affected libraries themselves or to libc6-dev. If Matthew is correct, all
> > > packages except trustedqsl are victims of libqt3-mt. By the way, I'm not
> > > sure if tsql is a problem (atoi is versioned?):
> > >
> > > $ objdump -tT /usr/bin/tqsl | grep atoi
> > > 0000000000000000      DF *UND*  0000000000000015  GLIBC_2.2.5 atoi
> > > $ objdump -tT /usr/bin/tqslcert | grep atoi
> > > 0000000000000000      DF *UND*  0000000000000015  GLIBC_2.2.5 atoi
> > > $ objdump -Tt /usr/lib/libtqsllib.so.1.0.0 | grep atoi
> > > 0000000000000000      DF *UND*  0000000000000015  GLIBC_2.2.5 atoi
> >
> >   atoi is a libc symbol, so I don't see a problem with that:
> > $ objdump -T /lib/libc-2.7.so|grep atoi
> > 0000000000032530 g    DF .text      0000000000000015  GLIBC_2.2.5 atoi
> >
> > The fact that atoi is clearly versionned should have given you a hint ;P
> 
> I'm not quite sure why atoi showed up undefined/unversioned in trustedqsl.  I 
> got:
> trustedqsl_1.11-5_i386.deb
>       /usr/bin/tqsl
>               00000000      DF *UND*  00000038              atoi
>       /usr/bin/tqslcert
>               00000000      DF *UND*  00000038              atoi
> 
> This package was recently updated in Sid, so I would assume it's probably 
> fixed anyway.

  We don't care, atoi is a glibc symbol, so it'll work.
-- 
·O·  Pierre Habouzit
··O                                                [EMAIL PROTECTED]
OOO                                                http://www.madism.org

Attachment: pgpKv9rUkqTjr.pgp
Description: PGP signature

-- 
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-talk

Reply via email to